
QGIS Application - Feature request #2546

Singleparts to multipart makes non valid geometries

2010-03-11 10:54 PM - dr -

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Processing/QGIS

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 12606

Description

There is layer with valid geometries. When I try to convert single features of this layer to multifeatures with "Singleparts to multipart" tool

of fTools, I get non valid multipolygon. Is it possible to get non valid multipolygon from valid polygons? In such case I guess that QGIS

should inform the users about this.

History

#1 - 2010-11-22 03:04 PM - cfarmer -

This has been (partially) addressed in commit:8710328b (SVN r14745). I am unsure whether valid single part polygons should be able to be joined to

create an invalid multi part polygon. I have been unable to determine from an extensive web search, whether this should be allowed or not? Any thoughts?

In any case, a warning is now issued if the output layer contains invalid multi part geometries.

Carson

#2 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:34 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2017-01-02 05:50 AM - Giovanni Manghi

- Category changed from 44 to Processing/QGIS

#6 - 2017-05-01 12:42 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Easy fix? set to No

#7 - 2018-05-16 02:09 PM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Already fixed in master

Files

valid-layer.7z 1.88 KB 2010-03-11 dr -

2025-04-26 1/2



nonvalid2.7z 1.81 KB 2010-03-11 dr -
